package co.pixelbeard.theanfieldwrap.data;

import com.google.gson.annotations.SerializedName;

import org.parceler.Parcel;


@Parcel(Parcel.Serialization.BEAN)
public class Subscription {

    @SerializedName("subscription_auth_level")
    int subscriptionAuthLevel;
    @SerializedName("subscription_expiry")
    String subscriptionExpiry;
    @SerializedName("subscription_status")
    String subscriptionStatus;
    @SerializedName("subscription_type")
    String subscriptionType;

    public Subscription() {
    }

    public Subscription(int subscriptionAuthLevel, String subscriptionExpiry, String subscriptionStatus, String subscriptionType) {
        this.subscriptionAuthLevel = subscriptionAuthLevel;
        this.subscriptionExpiry = subscriptionExpiry;
        this.subscriptionStatus = subscriptionStatus;
        this.subscriptionType = subscriptionType;
    }

    public int getSubscriptionAuthLevel() {
        return subscriptionAuthLevel;
    }

    public void setSubscriptionAuthLevel(int subscriptionAuthLevel) {
        this.subscriptionAuthLevel = subscriptionAuthLevel;
    }

    public String getSubscriptionExpiry() {
        return subscriptionExpiry;
    }

    public void setSubscriptionExpiry(String subscriptionExpiry) {
        this.subscriptionExpiry = subscriptionExpiry;
    }

    public String getSubscriptionType() {
        return subscriptionType;
    }

    public void setSubscriptionType(String subscriptionType) {
        this.subscriptionType = subscriptionType;
    }

    public String getSubscriptionStatus() {
        return subscriptionStatus;
    }

    public void setSubscriptionStatus(String subscriptionStatus) {
        this.subscriptionStatus = subscriptionStatus;
    }

}
